<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: drp_wr_fsm_bevh Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classdrp__wr__fsm__lpm.html">drp_wr_fsm_lpm</a></li><li class="navelem"><a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html">drp_wr_fsm_bevh</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">drp_wr_fsm_bevh Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:af32c06e597fd8e03cb7f1228b0bbd0fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af32c06e597fd8e03cb7f1228b0bbd0fd"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#af32c06e597fd8e03cb7f1228b0bbd0fd">PROCESS_832</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:ae4f03c286607f3181e16b9aa12d0c6d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4f03c286607f3181e16b9aa12d0c6d4"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#ae4f03c286607f3181e16b9aa12d0c6d4">IEEE</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:aa4b2b25246a821511120e3149b003563"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4b2b25246a821511120e3149b003563"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#aa4b2b25246a821511120e3149b003563">STD_LOGIC_1164</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a241c3e72dd8024cc8ae831b1b2aed7db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a241c3e72dd8024cc8ae831b1b2aed7db"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a241c3e72dd8024cc8ae831b1b2aed7db">STD_LOGIC_UNSIGNED</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a5d8c1f7c620a51582be96d2a58d40293"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d8c1f7c620a51582be96d2a58d40293"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a5d8c1f7c620a51582be96d2a58d40293">STD_LOGIC_ARITH</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:acc966dc85a1c0375855823f865fe7d21"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc966dc85a1c0375855823f865fe7d21"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#acc966dc85a1c0375855823f865fe7d21">load_addr_kl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00001 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a13f3f95cd5ad7405bcec929a13428828"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13f3f95cd5ad7405bcec929a13428828"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a13f3f95cd5ad7405bcec929a13428828">rd_drp_kl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00010 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a148e03151649b723ccc8873a4a775b18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a148e03151649b723ccc8873a4a775b18"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a148e03151649b723ccc8873a4a775b18">wait_drprdy_kl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00011 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f914c9aae0fa22c27aada49fa3b6fea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f914c9aae0fa22c27aada49fa3b6fea"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a7f914c9aae0fa22c27aada49fa3b6fea">mod_drp_kl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00100 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a224584d205638a63f2617591fa2bc06c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a224584d205638a63f2617591fa2bc06c"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a224584d205638a63f2617591fa2bc06c">load_drp_kl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00101 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a260e1d2e9837f8f1ac7d7819c8ba41c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a260e1d2e9837f8f1ac7d7819c8ba41c8"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a260e1d2e9837f8f1ac7d7819c8ba41c8">pulse_wr_kl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00110 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac5c78a3f5d7e50954c69678df1b17666"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5c78a3f5d7e50954c69678df1b17666"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#ac5c78a3f5d7e50954c69678df1b17666">wait_drp_dy_kl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00111 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac7b66188e121e58c2ea63abb60f4209f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7b66188e121e58c2ea63abb60f4209f"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#ac7b66188e121e58c2ea63abb60f4209f">load_addr_kh</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6327ec6bc8df74c43f5b1d87c4ecfccc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6327ec6bc8df74c43f5b1d87c4ecfccc"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a6327ec6bc8df74c43f5b1d87c4ecfccc">rd_drp_kh</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01001 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeec67f056011f6e3a4eff876abe66c4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeec67f056011f6e3a4eff876abe66c4e"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#aeec67f056011f6e3a4eff876abe66c4e">wait_drprdy_kh</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01010 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c2c7e31f24d403ed27cdf09566ec6b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c2c7e31f24d403ed27cdf09566ec6b6"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a7c2c7e31f24d403ed27cdf09566ec6b6">mod_drp_kh</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01011 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ba57c1f385d2f00b973d3928b7a146c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ba57c1f385d2f00b973d3928b7a146c"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a6ba57c1f385d2f00b973d3928b7a146c">load_drp_kh</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01100 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6fc470fae8e5a0265f6b09bc3144ebde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fc470fae8e5a0265f6b09bc3144ebde"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a6fc470fae8e5a0265f6b09bc3144ebde">pulse_wr_kh</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01101 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aede6229ca7017c09dd2ef869ace1cd7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aede6229ca7017c09dd2ef869ace1cd7b"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#aede6229ca7017c09dd2ef869ace1cd7b">wait_drp_dy_kh</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01110 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa29d1e5ef38ee8a2e8b0f8b3e5cae33c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa29d1e5ef38ee8a2e8b0f8b3e5cae33c"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#aa29d1e5ef38ee8a2e8b0f8b3e5cae33c">endstate</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01111 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5927fd65bee0b47f4c8af3c3b2702488"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5927fd65bee0b47f4c8af3c3b2702488"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a5927fd65bee0b47f4c8af3c3b2702488">resetstate</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 10000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a30884c40874b8e0fd171fb47fcaa6398"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30884c40874b8e0fd171fb47fcaa6398"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a30884c40874b8e0fd171fb47fcaa6398">holds_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a117d3081eedc569611ffb1a5b1693660"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a117d3081eedc569611ffb1a5b1693660"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a117d3081eedc569611ffb1a5b1693660">store_di0_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adf426fa99d3a5a62b23cbd19864c8965"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf426fa99d3a5a62b23cbd19864c8965"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#adf426fa99d3a5a62b23cbd19864c8965">Address_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3d6a4b9570a299c748974aa250ea5fad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d6a4b9570a299c748974aa250ea5fad"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a3d6a4b9570a299c748974aa250ea5fad">state_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac48f5fe125f8317fc910e202f146bdc3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac48f5fe125f8317fc910e202f146bdc3"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#ac48f5fe125f8317fc910e202f146bdc3">rd_drp_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6fb33de358141678147527992517dcf2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fb33de358141678147527992517dcf2"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a6fb33de358141678147527992517dcf2">kill0_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0dc240e924f42914da7fde0a79f6a4c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0dc240e924f42914da7fde0a79f6a4c4"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a0dc240e924f42914da7fde0a79f6a4c4">kill1_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2223d2d7058efb78546597c3d365d7c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2223d2d7058efb78546597c3d365d7c3"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a2223d2d7058efb78546597c3d365d7c3">kill2_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a251a8010aff4726acee816036e748910"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a251a8010aff4726acee816036e748910"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a251a8010aff4726acee816036e748910">kill3_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04e43787abad04dd924729ed1c94329d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04e43787abad04dd924729ed1c94329d"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a04e43787abad04dd924729ed1c94329d">done0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a38cc871d045e2b7f449a5199384ce4d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38cc871d045e2b7f449a5199384ce4d8"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a38cc871d045e2b7f449a5199384ce4d8">done1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1e5147a67aee4271ccfe7682c1453c3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e5147a67aee4271ccfe7682c1453c3a"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a1e5147a67aee4271ccfe7682c1453c3a">done2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9bb00a9a233f631c4e751f62594688ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bb00a9a233f631c4e751f62594688ea"></a>
<a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html#a9bb00a9a233f631c4e751f62594688ea">done3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="s6link__lpm__loop__fsm_8vhd_source.html#l00092">92</a> of file <a class="el" href="s6link__lpm__loop__fsm_8vhd_source.html">s6link_lpm_loop_fsm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/S6Link/<a class="el" href="s6link__lpm__loop__fsm_8vhd_source.html">s6link_lpm_loop_fsm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
